Class Index | File Index

## Classes

- _global_
- Color
- fabric
- fabric.Circle
- fabric.Element
- fabric.Object
- fabric.Rect
- Point

# Class Point

Defined in: point.class.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Point(x, y)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(that)
| addEquals(that)
| distanceFrom(that)
| divide(scalar)
| divideEquals(scalar)
| eq(that)
| gt(that)
| gte(that)
| init(x, y)
| lerp(that, t)
| lt(that)
| lte(that)
| max(that)
| min(that)
| multiply(scalar)
| multiplyEquals(scalar)
| scalarAdd(scalar)
| scalarAddEquals(scalar, thisArg)
| scalarSubtract(scalar)
| scalarSubtractEquals(scalar)
| setFromPoint(that)
| setXY(x, y)
| subtract(that)
| subtractEquals(that)
| swap(that)
| toString()

Class Detail
Point(x, y)

Parameters:
{Number} x
{Number} y

Returns:
  {fabric.Point} thisArg

Method Detail
{fabric.Point} add(that)

Parameters:
{fabric.Point} that

Returns:
  {fabric.Point} new Point instance with added values

{fabric.Point} addEquals(that)

Parameters:
{fabric.Point} that

Returns:
  {fabric.Point} thisArg

distanceFrom(that)

Parameters:
that

divide(scalar)

Parameters:
scalar

divideEquals(scalar)

Parameters:
scalar

eq(that)

Parameters:
that

gt(that)

Parameters:
that

gte(that)

Parameters:
that

init(x, y)

Parameters:
{Number} x
{Number} y

lerp(that, t)

Parameters:
that
t

lt(that)

Parameters:
that

lte(that)

Parameters:
that

max(that)

Parameters:
that

min(that)

Parameters:
that

multiply(scalar)

Parameters:
scalar

multiplyEquals(scalar)

Parameters:
scalar

{fabric.Point} scalarAdd(scalar)

Parameters:
{Number} scalar

Returns:
  {fabric.Point} new Point with added value

scalarAddEquals(scalar, thisArg)

Parameters:
{Number} scalar
{fabric.Point} thisArg

scalarSubtract(scalar)

Parameters:
scalar

scalarSubtractEquals(scalar)

Parameters:
scalar

setFromPoint(that)

Parameters:
that

setXY(x, y)

Parameters:
x
y

{fabric.Point} subtract(that)

Parameters:
{fabric.Point} that

Returns:
  {fabric.Point} new Point object with subtracted values

{fabric.Point} subtractEquals(that)

Parameters:
{fabric.Point} that

Returns:
  {fabric.Point} thisArg

swap(that)

Parameters:
that

toString()

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 13 2010 16:15:02 GMT-0400 (EDT)